Skip to main content
Back to API List Retrieves the list of changes made to the bot definition for a given date range.
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/changelogs
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Logs History; Admin Console: Logs > Bot Audit Logs

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai
BotIDRequiredBot ID or Stream ID. Accessible from the General Settings page of the bot.

Sample Request

curl -X GET \
  https://{{host}}/api/public/bot/{{bot_id}}/changelogs \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'

Query Parameters

ParameterRequired/OptionalDescription
offsetOptionalPage number to start fetching from. Defaults to 0 (first page).
limitOptionalNumber of records to fetch. Maximum is 50.
startDateOptionalStart date for the change log. Defaults to the bot creation date if unspecified. Use ISO date format (for example, 1998-03-30).
endDateOptionalEnd date for the change log. Use ISO date format (for example, 1998-03-30).

Sample Response

[
    {
        "_id": "btl-039ca909-5dd2-59ce-a5b7-30c61a385ebf",
        "userId": {
            "id": "u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91",
            "firstName": "demo",
            "lastName": "bots",
            "emailId": "demobots@qakore.xyz",
            "activationStatus": "active",
            "profColour": "#ff4500",
            "profImage": "no-avatar",
            "_id": "u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91",
            "orgId": "o-daf5c054-e63b-561e-9a31-e53478aa154b"
        },
        "streamId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb",
        "resourceId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb",
        "resourceType": "stream",
        "message": "Bot updated",
        "createdOn": "2019-06-27T05:25:37.148Z",
        "__v": 0
    },
    {
        "_id": "btl-0ff1cc72-c2c5-508d-b58c-a58257cd829f",
        "userId": {
            "id": "u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91",
            "firstName": "demo",
            "lastName": "bots",
            "emailId": "demobots@qakore.xyz",
            "activationStatus": "active",
            "profColour": "#ff4500",
            "profImage": "no-avatar",
            "_id": "u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91",
            "orgId": "o-daf5c054-e63b-561e-9a31-e53478aa154b"
        },
        "streamId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb",
        "resourceId": "dg-14fd680d-3c42-5594-9d1b-c1b5504effa7",
        "resourceType": "dialog",
        "message": "Published task Book a ticket",
        "createdOn": "2019-06-27T05:29:17.748Z",
        "__v": 0
    }
]